/** \file
 *  Game Develop
 *  2008-2014 Florian Rival (Florian.Rival@gmail.com)
 */

#ifndef STRUCTURETOOLS_H
#define STRUCTURETOOLS_H

#include <string>
class RuntimeScene;

bool GD_API StructureElementsExists( const std::string & structureName, const std::string & elt );
void GD_API RemoveStructureElement( const std::string & structureName, const std::string & elt );
void GD_API SetStructureElementNumber( const std::string & structureName, const std::string & elt, double value );
void GD_API SetStructureElementText( const std::string & structureName, const std::string & elt, const std::string & str );
double & GD_API GetStructureElementNumber( const std::string & structureName, const std::string & elt);
const std::string & GD_API GetStructureElementString( const std::string & structureName, const std::string & elt);

#endif // STRUCTURETOOLS_H